--[[ ClearFont2: FontPack 3 | Rydika: rydika@highlanderrising.com ]]--

-- Initialize the Add-on.
CF2_Pack_2 = AceLibrary("AceAddon-2.0"):new()

-- Font path.
local FontPath = "Interface\\AddOns\\ClearFont2_FontPack_3\\Fonts\\"

-- Insomniax
local Insomniax = {
	["name"]       = "Insomniax",
	["normal"]     = FontPath.."Insomniax\\Tw_Cen_MT.ttf",
	["bold"]       = FontPath.."Insomniax\\Tw_Cen_MT_Bold.ttf",
	["italic"]     = FontPath.."Insomniax\\Tw_Cen_MT_Bold_Italic.ttf",
	["bolditalic"] = FontPath.."Insomniax\\Tw_Cen_MT_Bold_Italic.ttf", 
	["number"]     = FontPath.."Insomniax\\Tw_Cen_MT.ttf",
}

-- Dumbledor
local Dumbledor = {
	["name"]       = "Dumbledor",
	["normal"]     = FontPath.."Dumbledor\\Dumbledor.ttf",
	["bold"]       = FontPath.."Dumbledor\\Dumbledor_Wide.ttf",
	["italic"]     = FontPath.."Dumbledor\\Dumbledor_Italic.ttf",
	["bolditalic"] = FontPath.."Dumbledor\\Dumbledor_Wide.ttf", 
	["number"]     = FontPath.."Dumbledor\\Dumbledor_Thin.ttf",
}
        

-- Update ClearFont2.
function CF2_Pack_2:OnInitialize()
	table.insert(ClearFont.fonts, Insomniax)
	table.insert(ClearFont.fonts, Dumbledor)
	ClearFont:UpdateFontList()
	ClearFont:ApplyFont()

	local SML = AceLibrary:HasInstance("SharedMedia-1.0") and AceLibrary("SharedMedia-1.0") or nil
	if SML then
		SML:Register("font", "Dumbledor", FontPath.."Dumbledor\\Dumbledor.ttf")
		SML:Register("font", "Insomniax", FontPath.."Insomniax\\Tw_Cen_MT.ttf")
	end
end
